#include <bits/stdc++.h>

using namespace std;
long long gt(int n)
{if (n==1){return 1; }
 else return n*gt(n-1);
}
int q(int n)
{if (n==1){return 1;}
else return (pow(-1,n+1)*n)+q(n-1);
}
long long p(int n)
{if (n==1){return 1;}
else return gt(n)+p(n-1);
}
int main() {
	ifstream f1("DQQT.INP");
	ofstream f2("DQQT.OUT");
	int n;
	f1>>n;
	f2<<q(n)<<endl<<p(n);
	return 0;
}

